include ../../components/fieldErrors.pug

.responsive

	h1 Validação de cadastro de pessoa jurídica

	.subtitulo
		
		h5 
			i.material-icons info_outline 
			|  O CNPJ informado já está cadastrado no sistema, selecione a resposta correta para prosseguir

form(name='validacao.form', novalidate)

	.row

		div.col-md-4

			div.panel.panel-default

				div.panel-heading.panel-heading-white

					h3.panel-title Razão social

				div.panel-body.no-padding-top

					div.radio(ng-repeat="razaoSocial in informacoes.nomesPessoasJuridicas")
						label.radio-inline
							input(type='radio', name='razaoSocial', ng-value='razaoSocial', ng-model="dadosValidacao.razaoSocial", required)
							span.circle
							span.check
							|	{{razaoSocial}}
					span.has-error(ng-show='validacao.form.$submitted && validacao.form.razaoSocial.$error.required') Campo obrigatório

		div.col-md-4

			div.panel.panel-default

				div.panel-heading.panel-heading-white

					h3.panel-title Data de constituição

				div.panel-body.no-padding-top

					div.form-group.datepicker-margin
						div.input-group
							input.form-control(type='text', name='dataConstituicao', uib-datepicker-popup="dd/MM/yyyy", ng-model='dadosValidacao.dataConstituicao', datepicker-options="datepickerOptions", is-open="datepicker.opened", ng-required="true", ui-mask="99/99/9999", ui-mask-placeholder-char="space", model-view-value="true", max-date="datepickerOptions.maxDate")
							span.input-group-btn
								button.btn.btn-group.btn-raised.btn-raised-shadow(type="button", ng-click="datepicker.opened=true")
									i.material-icons today
					span.has-error(ng-show='validacao.form.$submitted && validacao.form.dataConstituicao.$error.required') Campo obrigatório

		div.col-md-4

			div.panel.panel-default

				div.panel-heading.panel-heading-white

					h3.panel-title Município

				div.panel-body.no-padding-top

					div.radio(ng-repeat="municipio in informacoes.nomesMunicipios")
						label.radio-inline
							input(type='radio', name='nomeMunicipio', ng-value='municipio', ng-model="dadosValidacao.nomeMunicipio", required)
							span.circle
							span.check
							|	{{municipio}} - {{informacoes.estadoMunicipio}}
					span.has-error(ng-show='validacao.form.$submitted && validacao.form.nomeMunicipio.$error.required') Campo obrigatório

	button.btn.btn-raised.btn-default(type='button', ng-click='voltar()', tabindex='-1')
		|	Cancelar

	button.btn.btn-raised.btn-primary.pull-right(type='submit', ng-click='validarDadosPessoa()')
		|	Confirmar
